using Godot;
using System;

[GlobalClass]
public partial class InteractionButtonResource : Resource
{
    [Export] public string Name { get; set; } = "";
    [Export(PropertyHint.MultilineText)] public string Description { get; set; } = "";
    [Export] public Godot.Collections.Array<InteractionActionResource> Actions { get; set; } = new();
}
